.dg.ac {
	z-index: 9999;
}

.customizer-loaded,
.customizer-ending {
	height    : auto !important;
	max-height: inherit !important;
}

.customizer-loading.html,
.customizer-loading body,
.customizer-loaded.html,
.customizer-loaded body,
.customizer-ending.html,
.customizer-ending body {
	overflow: hidden;
}

.variant-customizer-container {
	position  : fixed;
	top       : 0;
	left      : 0;
	width     : 100vw;
	height    : 100vh;
	z-index   : 900;
	display   : flex;
	opacity   : 0;
	visibility: hidden;
}

.customizer-canvas-wrapper,
.customizer-ui-wrapper {
	visibility: visible;
	opacity   : 1;
	transition: opacity 700ms, visibility 0s;
}

html:not(.customizer-loaded):not(.customizer-ending) .customizer-canvas-wrapper,
html:not(.customizer-loaded):not(.customizer-ending) .customizer-ui-wrapper {
	opacity   : 0;
	visibility: hidden;
}

.variant-customizer-container {
	/* margin-top: 93px; */
}

.with-top-banner .variant-customizer-container {
	/* margin-top: calc(93px + 30px); */
}


.customizerCanvasParent {
	width: 50vw;
}

.abs-ui {
	position  : absolute;
	width     : 50vw;
	top       : 0;
	right     : 0;
	overflow  : auto;
	height    : calc(100vh - 93px);
	background: white;
}

.customizer-ui {
	width           : 50vw;
	overflow        : auto;
	height          : 100%;
	background-color: #fff;
	padding-top     : 30px;
}

.customizer-options {
	width     : 100%;
	transition: transform 500ms;
}


.color-group-title {
	margin-bottom: 15px;
	font-size    : 16px;
	font-weight  : 500;
	font-family  : "Helvetica Neue LT Std";
}

.customizer-ui-group {
	margin-bottom   : 0;
	/* padding      : 14px 0 14px 15px; */
	padding         : 14px 0;
	background      : #fff;
	border          : 0 none;
	/* border       : 2px solid #F9F9F9; */
}

ul.color-group-wrapper {
	padding        : 0;
	margin-top     : 5px;
	text-align     : center;
	white-space    : nowrap;
	display        : flex;
	justify-content: flex-start;
}

ul.color-group-wrapper li {
	display            : inline-block;
	width              : 34px;
	height             : 34px;
	min-width          : 34px;
	min-height         : 34px;
	border-radius      : 99px;
	margin             : 0 5px;
	cursor             : pointer;
	background-position: center center;
	border             : 2px solid transparent;
	position           : relative;

}

ul.color-group-wrapper li.active {}

ul.color-group-wrapper li.active:after {
	position     : absolute;
	width        : calc(100% + 8px);
	height       : calc(100% + 8px);
	top          : -4px;
	left         : -4px;
	background   : transparent;
	border       : 1px solid #010101;
	border-radius: 50%;
	content      : "";
}

ul.color-group-wrapper li.disabled {
	pointer-events  : none !important;
	opacity         : 0.2;
	border          : 1px solid red;
	border-radius   : 50%;
	position        : relative;
	display         : inline-block;
	background-color: #fff !important;
	overflow        : hidden;
}

ul.color-group-wrapper li.disabled:after {
	content         : "";
	position        : absolute;
	width           : 200%;
	height          : 1px;
	background      : red;
	transform       : rotate(45deg);
	transform-origin: 0% 0%;
	top             : 0;
	left            : 0;
}

.customizer-progress-bar,
.customizer-outro {
	position        : absolute;
	display         : flex;
	align-items     : center;
	justify-content : center;
	flex-direction  : column;
	visibility      : hidden;
	opacity         : 0;
	top             : 0;
	left            : 0;
	height          : 100%;
	max-height      : 100vh;
	width           : 100vw;
	background-color: #2A469D;
	color           : white;
	z-index         : 1001;
	transition      : opacity 400ms, visibility 0ms 400ms;
}

.customizer-loading .variant-customizer-container,
.customizer-loaded .variant-customizer-container,
.customizer-ending .variant-customizer-container {
	opacity   : 1;
	visibility: visible;
	transition: all 0s;
}

.customizer-loading .customizer-progress-bar,
.customizer-ending .customizer-outro {
	visibility: visible;
	opacity   : 1;
	transition: opacity 400ms, visibility 0ms;
}


.customizer-progress-bar-text {
	color      : #fff;
	text-align : center;
	font-size  : 36px;
	font-family: "Eames Century Modern";
}

.customizer-progress-bar-line {
	width     : 125px;
	height    : 12px;
	background: #c5d7d5;
	overflow  : hidden;
	margin    : 35px auto 0;
	position  : relative;
}

.customizer-current-progress {
	position  : absolute;
	width     : 0;
	height    : 100%;
	background: white;
	transition: width 200ms, all 0s;
}

.customizer-mobile-options {
	display: none;
	/* or flex when visible */
	flex-direction : column;
	position       : fixed;
	width          : 100%;
	background     : #ededed;
	bottom         : 0;
	cursor         : pointer;
	justify-content: center;
	align-items    : center;
	padding-top    : 10px;
	padding-bottom : 20px;
}


/* TODO - when this css pushed live, remove css (excludeing font-family) from product_customizer_new.liquid  */

.exit-customizer {
	width : 21px;
	height: 21px;

	position: absolute;
	top     : 30px;
	left    : 40px;
}




.customizer-x {
	float          : left;
	position       : relative;
	margin         : 0;
	padding        : 0;
	overflow       : hidden;
	background     : transparent;
	cursor         : pointer;
	width          : 40px;
	height         : 100%;
	display        : flex;
	object-fit     : fill;
	justify-content: center;
	align-items    : center;
}

.customizer-x .site-close-handle {
	position: relative;
	right   : inherit !important;
	top     : inherit;
	width   : 21px;
	height  : 21px;
	padding : 0;
	border  : 0 none;
	cursor  : pointer;
}

.customizer-h1 {
	font-weight   : normal;
	font-size     : 40px !important;
	letter-spacing: 1px;
	color         : #000;
	line-height   : 1.1;
	margin-bottom : 40px !important;
	text-align    : left;
	width         : 100%;
}

.customizer-buttons {
	display       : flex;
	flex-direction: row;
	width         : 100%;
	margin-bottom : 125px;
}

.customizer-buttons .btn-custom.customizerAddToCart {
	background  : #8eb1ac;
	border-color: transparent;
}

.customizer-buttons .btn:last-of-type {
	margin-right: 0;
}

.customizer-buttons .btn:first-of-type {
	margin-left: 0;
}

.customizer-buttons .btn-custom {
	background         : transparent;
	color              : #252a2b;
	min-width          : 140px;
	padding            : 0px 0px;
	height             : 60px;
	border             : 1px solid #DDD;
	border-top-color   : rgb(221, 221, 221);
	border-right-color : rgb(221, 221, 221);
	border-bottom-color: rgb(221, 221, 221);
	border-left-color  : rgb(221, 221, 221);
	text-transform     : none;
	margin             : 0 12px;
	margin-right       : 12px;
	margin-left        : 12px;
	font-weight        : 400;
	font-style         : normal;
	font-size          : 0.8125rem;
	position           : relative;
	cursor             : pointer;
	border-radius      : 0;
	-webkit-appearance : none;
	box-shadow         : none;
	display            : flex;
	align-items        : center;
	justify-content    : center;
}

.customizer-buttons .btn-custom.customizerAddToCart span {
	color: white;
}

.customizer-buttons .btn-custom span {
	margin        : 0;
	padding       : 0;
	color         : #000;
	font-size     : 16px !important;
	line-height   : 28px !important;
	text-align    : center;
	vertical-align: baseline;
}

.customizer-ui-wrapper {
	position        : relative;
	height          : calc(100vh - 93px);
	width           : 50vw;
	padding-left    : 40px;
	display         : flex;
	justify-content : center;
	/* align-items  : center; */
	flex-direction  : column;
	background-color: white;
}

.customizer-line {
	padding-left  : 0;
	padding-bottom: 0;
}

.customizer-arrow {
	display        : block;
	background     : url('scroll-arrow.svg') no-repeat;
	background-size: auto;
	background-size: 60px 26px;
	width          : 60px;
	height         : 26px;
	content        : "";
}

.customizer-arrow.arrow-up {
	transform: rotate(180deg);
}

.customizer-mobile-toggler-text {
	margin     : 0;
	text-align : center;
	font-size  : 18px;
	opacity    : 1;
	white-space: nowrap;
	overflow   : hidden;
	transition : height 500ms, opacity 500ms;
}

.customizer-text-holder {}

.customizer-text-holder.text-to-show {
	display: block;
}

.customizer-text-holder.text-to-hide {
	display: none;
}

.customizer-buttons-wrapper {
	display       : flex;
	flex-direction: row;
	width         : 100%;
	margin-top    : 20px;
}



.customizer-button {
	min-width          : 140px;
	padding            : 0px 0px;
	height             : 60px;
	border             : 1px solid #DDD;
	border-top-color   : rgb(221, 221, 221);
	border-right-color : rgb(221, 221, 221);
	border-bottom-color: rgb(221, 221, 221);
	border-left-color  : rgb(221, 221, 221);
	border-color       : transparent;
	text-transform     : none;
	margin             : 0 12px;
	margin-right       : 12px;
	margin-left        : 12px;
	font-weight        : 400;
	font-style         : normal;
	font-size          : 0.8125rem;
	position           : relative;
	cursor             : pointer;
	border-radius      : 0;
	-webkit-appearance : none;
	box-shadow         : none;
	display            : flex;
	align-items        : center;
	justify-content    : center;
	background         : #8eb1ac;
}

.customizer-button span {
	margin        : 0;
	padding       : 0;
	color         : #fff;
	font-family   : "Helvetica Neue LT Std";
	font-size     : 16px !important;
	line-height   : 28px !important;
	text-align    : center;
	vertical-align: baseline;
}

.customizer-button:first-of-type {
	margin-left: 0;
}

.customizer-button:last-of-type {
	margin-right: 0;
}

.customizer-button:hover {
	background  : #F5F5F5;
	color       : #fff;
	border-color: transparent;
	transition  : all 150ms linear;
}

.customizer-button:hover span {
	color     : #000;
	transition: all 150ms linear;
}

.customizer-mobile-only {
	display: none;
	/* TODO - display on mobile */
}

/* TODO copy to calamigos too OR use UI based css (AND MAKE THINGS IN SCSS + webpack) */
.customizer-input{
	height: 55px;
	font-family: Helvetica,"Helvetica Neue",Arial,"Lucida Grande",sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 0.9375rem;
	padding: 0 20px;
	margin: 0;
	display: inline-block;
	border-radius: 0;
	-webkit-appearance: none;
	color:#000000;
	width: 312px;
	border: .01em solid #DDDDDD;
	background: linear-gradient(to right,#f5f5f5 50%, white 50%);
	background-size: 205% 100% !important;
	background-position: 99% !important;
	transition: all 0.3s ease-in-out !important;
	caret-color:#91B2AE;
}

@media (max-width: 1024px) {
	/* TODO - make color options scrollable horizontally on tablets, maybe even go to 1200px for large tablets */
}

@media screen and (max-width: 768px),
screen and (max-width: 1024px) and (orientation: portrait) {

	.customizer-progress-bar,
	.customizer-outro {
		width: 100vw;
	}


}



@media (max-width: 768px) {

	.with-top-banner .variant-customizer-container {
		margin-top: calc(69px + 30px);
	}

	.customizer-buttons-wrapper {
		position: fixed;
		top     : 93px;
		width   : calc(50vw - 20px);
		right   : 20px;
		left    : inherit;
		overflow: visible;
	}

	.with-top-banner .customizer-buttons-wrapper {
		top: calc(93px + 30px);
	}

	.customizer-buttons-wrapper .customizer-button {
		margin-left: auto;
	}



	.exit-customizer {
		position  : fixed;
		top       : 93px;
		left      : 30px;
		margin-top: 20px;
	}

	.with-top-banner .exit-customizer {
		top: calc(93px + 30px);
	}

	.customizer-canvas-wrapper {
		margin-top: calc(-93px + 20px);
	}

	.with-top-banner .customizer-canvas-wrapper {
		margin-top: calc(-93px);
	}

	.customizer-x {
		width     : 20px;
		margin-top: 20px;
	}

	.customizerCanvasParent {
		width: 100vw;
	}



	.customizer-ui-wrapper {
		padding        : 0;
		width          : 100%;
		position       : fixed;
		top            : inherit;
		bottom         : 0;
		transform      : inherit;
		height         : 0;
		overflow       : visible;
		opacity        : 1;
		transition     : opacity 700ms, transform 1000ms;
		display        : flex;
		justify-content: center;
		align-items    : center;
	}

	.customizer-options-wrapper {
		width           : 100%;
		padding-left    : 20px;
		padding-right   : 20px;
		max-height      : calc(100vh - 87px - 100px - 69px);
		background-color: rgba(235, 235, 235, 0.7);
		transition      : transform 0.5s;
		position        : fixed;
		bottom          : 0;
		transform       : translateY(100%);

	}

	.customizer-ui-wrapper.mobile-options-visible .customizer-options-wrapper {
		transform     : translateY(-75px);
		overflow-y    : auto;
		padding-top   : 30px;
		padding-bottom: 30px;

	}

	.customizer-options {
		width          : 100%;
		margin-left    : auto;
		margin-right   : auto;
		display        : flex;
		flex-direction : column;
		justify-content: center;
		align-items    : flex-start;
	}

	.customizer-ui-group {
		background: transparent;
		padding   : 0;
		border    : 0 none;
	}

	ul.color-group-wrapper {
		width      : 100vw;
		overflow-x : scroll;
		white-space: nowrap;
		padding    : 4px 0 15px 0;
	}

	.color-group-title,
	ul.color-group-wrapper li:first-of-type {
		margin-left: 15px;
	}

	.customizer-mobile-options {
		display        : flex;
		flex-direction : column;
		position       : fixed;
		width          : 100%;
		background     : #ededed;
		bottom         : 0;
		cursor         : pointer;
		justify-content: center;
		align-items    : center;
		padding-top    : 10px;
		padding-bottom : 20px;
	}

	.customizer-mobile-toggler-text {}



	/* toggle color options on mobile */


	.mobile-options-visible .customizer-text-holder.text-to-show {
		display: none;
	}

	.mobile-options-visible .customizer-text-holder.text-to-hide {
		display: block;
	}
}

@media(max-width: 480px) {

	.with-top-banner .customizer-buttons-wrapper {
		top: calc(69px + 30px);
	}

	.exit-customizer {
		top: 69px;
	}

	.with-top-banner .exit-customizer {
		top: calc(69px + 30px);
	}

	.customizer-canvas-wrapper {
		margin-top: calc(-69px + 20px);
	}

	.with-top-banner .customizer-canvas-wrapper {
		margin-top: calc(-69px);
	}

}